\page{1}{
\header{1}{Programming}

Integrate the functions $f(\xi) = \sin(\xi)$, $f(\xi) = \frac{1}{\xi}$
and $f(\xi) = \xi + 2 \xi^2 - 5 \xi^3$ with a varying amount of
integration points in the interval $\xi \in [-1,1]$. Use therefore the
\code{NumInt} class and compare the numerical results with the
``exact'' solution (you could use MATLAB\textsuperscript{\copyright}
{\tt quad} for the comparison). How is the influence of different
numbers of integration
points on the accuracy?\\

Furthermore write a method inside the \code{Lagrange} class which
displays a given \code{Lagrange} polynomial as 2D plot in an arbitrary
interval $[a,b]$ with $a < b$. Each plotline (polynomial) should get
its unique color. Label each node with its number and coordinate. The
function call should be implemented like in the following example and
should work for polynomials up to forth order.

\begin{minipage}{0.4\linewidth}
{\tt coordinates = [ 1 2 3 ];\\
l = model.shape. ...\\
    Lagrange(coordinates);\\
l.plot();}
\end{minipage}\hfill\begin{minipage}{0.55\linewidth}
  \includegraphics[width=\linewidth]{images/lagrange_plot}
\end{minipage}

\header{2}{Example}

\includegraphics[width=0.5\linewidth]{images/kirsch}
\begin{minipage}[b]{0.5\linewidth}
  Calculate the following so called ``Kirsch Problem''. Take advantage
  of the symmetries. Create an input file and discuss the results. (Missing parameters are free to choose)\\[2.5cm]
\end{minipage}\\

An analytical solution is given for comparison:\\

$\begin{array}{lll@{}lllllllllll}
\sigma_{rr}(r,\varphi) &=& \displaystyle\frac{p}{2}\left[1-\displaystyle\frac{a^2}{r^2}+\left(1-\displaystyle\frac{4a^2}{r^2}+
    \displaystyle\frac{3a^4}{r^4}\right)\cdot\cos(2\varphi)\right]\\[5mm]
\sigma_{\varphi\varphi}(r,\varphi) &=& \displaystyle\frac{p}{2}\left[ 1 +
  \displaystyle\frac{a^2}{r^2}-\left(1+\displaystyle\frac{3a^4}{r^4}\right)\cdot\cos(2\varphi)\right]\\[5mm]
\tau_{r\varphi}(r,\varphi) &=& \displaystyle\frac{p}{2}\left(-1-\displaystyle\frac{2a^2}
{r^2}+\displaystyle\frac{3a^4}{r^4}\right)\cdot\sin(2\varphi)\\[5mm]
\end{array}$

}

%%% Local Variables: 
%%% mode: latex
%%% TeX-master: "main"
%%% End: 
